elftosb::ProgramOperation Class Reference

Operation to program persistent bits. More...

`#include <Operation.h>`

Inheritance diagram for elftosb::ProgramOperation:
[legend]
Collaboration diagram for elftosb::ProgramOperation:
[legend]

## Public Member Functions

| ProgramOperation ()
| Default constructor.
| ProgramOperation (uint32_t memSpace)
| Constructor. Takes a memory space argument.
void | setMemorySpace (uint32_t memSpace)
uint32_t | getMemorySpace () const
Public Member Functions inherited from elftosb::LoadOperation
void | setSource (DataSource *source)
DataSource * | getSource ()
void | setTarget (DataTarget *target)
DataTarget * | getTarget ()
void | setDCDLoad (bool isDCD)
bool | isDCDLoad () const

## Protected Attributes

uint32_t | m_memSpace
Protected Attributes inherited from elftosb::LoadOperation
smart_ptr< DataSource > | m_source
smart_ptr< DataTarget > | m_target
bool | m_isDCDLoad

## Detailed Description

Operation to program persistent bits.

The documentation for this class was generated from the following file:

- Operation.h